Bug 124832 - [EFL] Ensure EGLOffScreenContext::initialize calls platformMakeCurrent on the surface
Summary: [EFL] Ensure EGLOffScreenContext::initialize calls platformMakeCurrent on the...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Pena
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-25 01:47 PST by Simon Pena
Modified: 2014-05-21 02:11 PDT (History)
15 users (show)

See Also:


Attachments
Patch (1.90 KB, patch)
2013-11-25 01:52 PST, Simon Pena
no flags Details | Formatted Diff | Diff
Patch (1.97 KB, patch)
2014-05-20 05:46 PDT, Simon Pena
no flags Details | Formatted Diff | Diff
Patch (2.11 KB, patch)
2014-05-20 08:05 PDT, Simon Pena
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Pena 2013-11-25 01:47:05 PST
Currently EGLOffScreenContext::initialize only calls platformMakeCurrent when the GL_EXT_robustness extension is available. platformMakeCurrent should be call regardless of the availability of the extension.

Patch following now.
Comment 1 Simon Pena 2013-11-25 01:52:55 PST
Created attachment 217778 [details]
Patch
Comment 2 Simon Pena 2013-12-18 03:08:19 PST
This bug also affects NIX port.
Comment 3 Gyuyoung Kim 2014-05-07 02:56:30 PDT
Ryuan and Hyowon, does EFL port need to use this patch ?
Comment 4 Hyowon Kim 2014-05-20 00:17:29 PDT
I think we need to call eglDestroyContext if platformMakeCurrent is failed on the line 104.
Comment 5 Simon Pena 2014-05-20 01:23:04 PDT
(In reply to comment #4)
> I think we need to call eglDestroyContext if platformMakeCurrent is failed on the line 104.

Ah, like we do on line 96? I will update the patch, thanks.
Comment 6 Simon Pena 2014-05-20 05:46:08 PDT
Created attachment 231762 [details]
Patch
Comment 7 Antonio Gomes 2014-05-20 06:24:27 PDT
Comment on attachment 231762 [details]
Patch

You could say what problem this patch fixes, maybe?
Comment 8 Simon Pena 2014-05-20 08:05:17 PDT
Created attachment 231768 [details]
Patch
Comment 9 Simon Pena 2014-05-20 08:10:26 PDT
(In reply to comment #7)
> (From update of attachment 231762 [details])
> You could say what problem this patch fixes, maybe?

Hopefully this version is a bit more clear in the changelog =)
Comment 10 Antonio Gomes 2014-05-20 08:37:41 PDT
Comment on attachment 231768 [details]
Patch

r=me
Comment 11 Simon Pena 2014-05-20 09:11:13 PDT
(In reply to comment #10)
> (From update of attachment 231768 [details])
> r=me

Thanks for the review! I will land it tomorrow.
Comment 12 WebKit Commit Bot 2014-05-21 02:11:47 PDT
Comment on attachment 231768 [details]
Patch

Clearing flags on attachment: 231768

Committed r169153: <http://trac.webkit.org/changeset/169153>
Comment 13 WebKit Commit Bot 2014-05-21 02:11:57 PDT
All reviewed patches have been landed.  Closing bug.